%define qtdir %_libdir/qt3
%define beta beta1
%define beta_undr _%beta
%define beta_dot .%beta

Name:         kdebluetooth
Version:      1.0
Release:      alt1%beta_dot

Group:        Communications
Summary:      Bluetooth support for KDE
URL:          http://kde-bluetooth.sourceforge.net
License:      GPL

Requires: %{get_dep kdelibs}
Requires: bluez-utils

Source0: %name-%version%beta_undr.tar.bz2
Patch1: %name.diff
# ALT
Patch2: faxhandler.desktop.patch
Patch3: service-path.patch

# Automatically added by buildreq on Thu Sep 01 2005
#BuildRequires: doxygen fontconfig freetype2 gcc-c++ gcc-g77 graphviz kde-settings kdelibs-devel kdepim-devel kdepim-ksync kdepim-libs libarts-devel libbluez-devel libjpeg-devel liblockdev-devel libopenobex-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer qt3-doc-html xml-utils xorg-x11-devel zlib-devel
BuildRequires: doxygen gcc-c++ kdepim-devel libarts-devel
BuildRequires: libbluez-devel libjpeg-devel liblockdev-devel libopenobex-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel xml-utils XFree86-devel zlib-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs > 1 kdelibs-devel > 1

%description
To exchange easily files data via Bluetooth.

Authors:
--------
    Mattia Merzi <merzi@itc.it>
    Fred Schaettgen <kdebluetooth@schaettgen.de>
    Simone Gotti <motaboy@libero.it>

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name = %version-%release

%description devel
Development files for %name

%prep
%setup -q -n %name-%version%beta_undr
%patch1 -p0
%patch2 -p0
%patch3 -p1

#subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir -L%qtdir/lib -L%_x11libdir"

%configure \
	--enable-debug=full \
	--disable-final \
        --enable-shared \
        --disable-static \
	--enable-fast-install \
	--disable-embedded \
	--disable-palmtop \
	--disable-rpath \
	--with-gnu-ld \
	--with-pic \
	--program-transform-name="" \
	--with-xinerama \
	--without-xmms \
	--enable-irmcsynckonnector

pushd kdebluetooth
%make_build
popd

pushd doc/kdebluetooth
%make_build
popd

%install
pushd kdebluetooth
%make DESTDIR=%buildroot install
popd
pushd doc/kdebluetooth
%make DESTDIR=%buildroot install
popd
ln -sf ../lib/kdebluetooth/kbluepin %buildroot/%_sbindir/kbluepin
mv -f \
    %buildroot/%_datadir/desktop-directories/kde-settings-network-bluetooth.directory \
    %buildroot/%_datadir/desktop-directories/kde-settings-network-bluetooth-tmp.directory


# menu
mkdir -p %Kb_menudir

%Kd2m %name Configuration/KDE/Network/Bluetooth %Kbmenudir/kcm_btpaired.desktop %Kb_menudir/%name-kcm_btpaired kde
%Kd2m %name Configuration/KDE/Network/Bluetooth %Kbmenudir/kcm_kbluetoothd.desktop %Kb_menudir/%name-kcm_kbluetoothd kde
%Kd2m %name Applications/Communications %Kbmenudir/kbtobexsrv.desktop %Kb_menudir/%name-kbtobexsrv kde
%Kd2m %name Applications/Communications %Kbmenudir/kbluetoothd.desktop %Kb_menudir/%name-kbluetoothd kde
%Kd2m %name Applications/Communications %Kbmenudir/kbemusedsrv.desktop %Kb_menudir/%name-kbemusedsrv kde
%Kd2m %name Applications/Communications %Kbmenudir/kbtobexclient.desktop %Kb_menudir/%name-kbtobexclient kde
%Kd2m %name Applications/Communications %Kbmenudir/kbtserialchat.desktop %Kb_menudir/%name-kbtserialchat kde
%Kd2m %name .hidden %Kbapplnk/.hidden/kioobex_start.desktop %Kb_menudir/%name-kioobex_start kde
%Kd2m %name Configuration/KDE/Hardware %Kbapplnk/Settings/Peripherals/obex.desktop %Kb_menudir/%name-obex kde
%Kd2m %name Applications/Communications %Kbapplnk/Utilities/dunhandler.desktop %Kb_menudir/%name-dunhandler kde
%Kd2m %name Applications/Communications %Kbapplnk/Utilities/faxhandler.desktop %Kb_menudir/%name-faxhandler kde
#%Kd2m %name Applications/Communications %Kbapplnk/Utilities/kbthandsfree.desktop %Kb_menudir/%name-kbthandsfree kde
cat >%Kb_menudir/%name-basedir <<__EOF__
?package(%name): needs="kde" section="Configuration/KDE/Network/" title="Bluetooth" icon="kdebluetooth"
__EOF__

%post
%post_ldconfig
%update_menus
#
%postun
%postun_ldconfig
%clean_menus

%files
%config(noreplace) %_datadir/config/obexrc
%_bindir/*
%_sbindir/*
%_libdir/*.so*
%_libdir/%name
%_libdir/kde3/*.so*
%_libdir/kde3/*.la
%_datadir/apps/kbluetoothd
#%_datadir/apps/kbthandsfree
%_datadir/apps/kbtobexclient
%_datadir/apps/kdebluetooth
%dir %_datadir/apps/konqsidebartng/
%dir %_datadir/apps/konqsidebartng/virtual_folders/
%dir %_datadir/apps/konqsidebartng/virtual_folders/services/
%_datadir/apps/konqsidebartng/virtual_folders/services/bluetooth_sidebarentry.desktop
%_datadir/apps/konqueror/servicemenus/kbtobexclient_sendfile.desktop
%_datadir/autostart/kbluetoothd.autostart.desktop
%_datadir/mimelnk/bluetooth
%_datadir/services/bluetooth.protocol
%_datadir/services/btsdp.protocol
%_datadir/services/kbluetoothd_*
%_datadir/services/obex.protocol
%_datadir/services/sdpmime-*
%_datadir/services/kresources/konnector/irmcsynckonnector.desktop
%_datadir/servicetypes/kbluetoothdmodule.desktop
%_datadir/servicetypes/sdpservicehandler.desktop
#%_datadir/sounds/KBTHandsfree_RingRing.wav
%_iconsdir/*/*/apps/*.png
%_iconsdir/*/*/apps/*.svg*
%_datadir/desktop-directories/kde-settings-network-bluetooth-tmp.directory
%Kmenudir/*.desktop
%Kapplnk/.hidden/kioobex_start.desktop
%dir %Kapplnk/Settings/Network/Bluetooth
%Kapplnk/Settings/Network/Bluetooth/.directory
%Kapplnk/Settings/Peripherals/obex.desktop
%Kapplnk/Utilities/*.desktop
%_menudir/*
#
%doc ChangeLog README AUTHORS
%doc %_docdir/HTML/en/%name

%files devel
%_includedir/*

%changelog
* Thu Sep 01 2005 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt1.beta1
- new version

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.cvs20050127-alt2
- fix compile with new libblues

* Thu Jan 27 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.cvs20050127-alt1
- build with gcc3.4

* Fri Jul 16 2004 Sergey V Turchin <zerg at altlinux dot org> 0.0.cvs20040716-alt1
- initial spec
